import { Banner } from "@/components/modules/Banner";
import { Main } from "@/components/modules/Main";
import { AuctionData } from "@/components/modules/AuctionData";

async function getData(searchParams, params) {
  const query = new URLSearchParams(searchParams).toString();
  console.log(query);
  const res = await fetch(
    `${process.env.NEXT_PUBLIC_BASE_URL}/property?${query.toString()}`,
    {
      cache: "force-cache",
    }
  );
  // The return value is *not* serialized
  // You can return Date, Map, Set, etc.

  if (!res.ok) {
    // This will activate the closest `error.js` Error Boundary
    throw new Error("Failed to fetch data");
  }

  return res.json();
}

export default async function page({ params, searchParams }) {
  const initialData = await getData(searchParams, params);
  return (
    <>
      <Banner
        title="Property For Lease"
        catagory="Residential"
        subcatagory="Apartment"
      />
      <div className="flex flex-col lg:flex-row container mx-auto">
        <Main initialData={initialData} params={params} />
        <div className="py-6 px-4">
          <AuctionData
            initialData={initialData}
            searchParams={searchParams}
            params={params}
          />
        </div>
      </div>
    </>
  );
}
